.circlegreen{
color: white;
left: 50px;
/* Frame 5280 */

box-sizing: border-box;

/* Auto layout */
display: inline-flex;
flex-direction: column;
justify-content: center;
align-items: center;
margin-top: 20px;
width: 50px;
height: 50px;
left: 4px;
top: 4px;

background: #40946C;
border-radius: 31.5789px;

}

.circlegrey{
color: #7A7A7A;
left: 50px;
/* Frame 5280 */

box-sizing: border-box;

/* Auto layout */
display: inline-flex;
flex-direction: column;
justify-content: center;
align-items: center;
margin-top: 20px;
width: 50px;
height: 50px;
left: 4px;
top: 4px;

border-radius: 31.5789px;
border: 1px solid #7A7A7A;

}

.circle-wrapper {
  position: relative;
  width: 420px;
  margin-bottom: 40px;
  margin-left: 30px;
}

.circle-container {
  display: flex;
  justify-content: space-between;
  position: relative;
  z-index: 2;
}

.circle-item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.circle-label {
  margin-top: 8px;
}


.dashed-line {
    position: absolute;
    top: 43px;
    left: 60px;
    right: 300px;
    border-top: 3px dashed #999;
    z-index: 1;
}

.dashed-line2 {
    position: absolute;
    top: 43px;
    left: 175px;
    right: 180px;
    border-top: 3px dashed #999;
    z-index: 1;
}

.dashed-line3 {
    position: absolute;
    top: 43px;
    left: 295px;
    right: 60px;
    border-top: 3px dashed #999;
    z-index: 1;
}

.settings-box {
    display: block;
    align-items: center;
    gap: 20px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid grey;
}

.settings-box-endpoints {
    max-height:400px;
    overflow: scroll;
    align-items: center;
    gap: 20px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid grey;
    padding-top: 0px;
}

.setting-item {
    display: inline-flex;
    align-items: center;
    /* gap: 16px; */
    /* width: 50%; */
    margin-top: 10px;
    margin-right: 120px;
}
/* container */
.ios-toggle #id_test_mode {
    display: flex;
    align-items: center;
    gap: 8px;
}

/* hide radio circles */
.ios-toggle input[type="radio"] {
    display: none;
}

/* labels */
.ios-toggle label {
    position: relative;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    color: #666;
    gap: 10px;
}

/* switch background */
.ios-toggle label::after {
    content: "";
    width: 42px;
    height: 24px;
    background: #d1d1d1;
    border-radius: 999px;
    transition: 0.25s;
    display: inline-block;
    position: relative;
}

/* switch knob */
.ios-toggle label::before {
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    background: white;
    border-radius: 50%;
    left: 22px;
    top: 3px;
    transition: 0.25s;
    z-index: 2;
}

/* checked state */
.ios-toggle label:has(input:checked)::after {
    background: #40946C;
}

/* move knob when checked */
.ios-toggle label:has(input[value="True"]:checked)::before {
    transform: translateX(18px);
}

/* OFF state knob position */
.ios-toggle label:has(input[value="False"]:checked)::before {
    transform: translateX(0px);
}

.ios-switch {
    appearance: none;
    width: 42px;
    height: 24px;
    background: #d1d1d1;
    border-radius: 999px;
    position: relative;
    cursor: pointer;
    transition: 0.25s;
}

.ios-switch::before {
    content: "";
    position: absolute;
    width: 18px;
    height: 18px;
    background: white;
    border-radius: 50%;
    top: 3px;
    left: 3px;
    transition: 0.25s;
}

.ios-switch:checked {
    background: #40946C;
}

.ios-switch:checked::before {
    transform: translateX(18px);
}

.toggle-inline {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.granu{
    left: 20px;
    position: relative;
    top: 30px;
}

.granu2{
    margin-left: 85px;
    position: relative;
    top: 30px;
}

.greyform{
  max-width: 475px;
  min-width: 475px;
  flex: 1;
}

.formsettings{
  margin-left: 30px;
margin-right: 10px;
}

#id_granularity{
  margin-top: -25px;
}

input[type="checkbox"] {
    accent-color: #40946C; /* green */
}

.selectall {
    box-sizing: border-box;

    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    padding: 0px 12px;
    gap: 10px;

    font-size: 10px;

    width: 89px;
    height: 26px;

    background: #FFFFFF;
    border: 1px solid #B5B5B5;
    border-radius: 27px;

    margin-right: 10px;

    cursor: pointer;
    transition: 0.2s ease;

    z-index: 10;
}

.selectallwrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: 10px;
    margin-bottom: 10px;
}

.selectall.inactive {
    background: #e0e0e0;
    color: #777;
    border-color: #ccc;
    opacity: 1; /* better than lowering opacity */
}

.nextbutton{
/* Validate */

/* Auto layout */
display: flex;
justify-content: center;
align-items: center;
padding: 0px;
gap: 8px;

margin: 0 auto;
width: 120px;
height: 40px;

border: 1px solid #40946C;
border-radius: 100px;

/* Inside auto layout */
flex: none;
order: 1;
flex-grow: 0;



font-weight: 700;
font-size: 14px;
line-height: 20px;

letter-spacing: 0.1px;

color: #40946C;


margin-left: 345px;
margin-top: 10px;
}



#id_endpoints_collected{
  font-size: 12px;
  width: 100%;


}

label {
    display: inline-block;
    max-width: 350px;
    white-space: nowrap;
    overflow: hidden;
}



.endpointsfound{

    display: inline-flex;

    height: 26px;
    position: absolute;
    left: 30px;

}

#id_number_of_endpoints{
    all: unset;
    background-color: #EEEEEE !important;
width: 30px;
    color: #212529 !important; /* Bootstrap default body color */
    opacity: 1;
    box-shadow: none;
    -webkit-appearance: none !important;
    appearance: none !important;
}

.textef{
margin-top:1px;

}

.buttonwrapper {
    display: flex;
    /* justify-content: space-between; */
    align-items: center;
    width: 130%;
    /* gap: 130px; */
    margin-left: -60px;
    margin-top: 10px;
}

.nextbuttonendpoints{
/* Validate */

/* Auto layout */
display: flex;
justify-content: center;
align-items: center;
padding: 0px;
gap: 8px;

margin: 0 auto;
width: 120px;
height: 40px;

border: 1px solid #40946C;
border-radius: 100px;

/* Inside auto layout */
flex: none;
order: 1;
flex-grow: 0;



font-weight: 700;
font-size: 14px;
line-height: 20px;

letter-spacing: 0.1px;

color: #40946C;

margin-right: 100px;



}

#id_number_of_datasets{
    all: unset;
    background-color: #EEEEEE !important;
width: 20px;
    color: #212529 !important; /* Bootstrap default body color */
    opacity: 1;
    box-shadow: none;
    -webkit-appearance: none !important;
    appearance: none !important;
}

#id_datasets_collected{
  font-size: 12px;
  width: 100%;


}

.verificationtable{/* Frame 5265 */

/* Auto layout */
display: flex;
flex-direction: column;
align-items: flex-start;
padding: 0px;
gap: 12px;

width: 422px;
min-height: 250px;


/* Inside auto layout */
flex: none;
order: 1;
flex-grow: 0;
margin-left: 30px;

}

.association{
    display: flex;
    color: white;
    align-items: center;
    padding: 0 20px;
}

.pagewrapper{
    display: flex;
    flex: 1;
}

body{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.buttonwrappersummary {
    display: flex;
    /* justify-content: space-between; */
    align-items: center;
    width: 130%;
    /* gap: 130px; */
    margin-left: -10px;
    margin-top: 10px;
    gap: 100px;
}



.wow {
    display: flex;
    gap: 10px;
}

.wow b {
    width: 120px;   /* aligns all labels */
    flex-shrink: 0;
}

.nextbuttonendpointsstart{
/* Validate */

/* Auto layout */
display: flex;
justify-content: center;
align-items: center;
padding: 0px;
gap: 8px;

margin: 0 auto;
width: 120px;
height: 40px;

border: 1px solid #40946C;
border-radius: 100px;

/* Inside auto layout */
flex: none;
order: 1;
flex-grow: 0;



font-weight: 700;
font-size: 14px;
line-height: 20px;

letter-spacing: 0.1px;

color: #40946C;



}

.login{
/* Network Members */

box-sizing: border-box;

/* Auto layout */
display: flex;
flex-direction: row;
justify-content: center;
align-items: center;
padding: 6px 10px;
gap: 8px;

width: 89px;
height: 36px;

border: 1px solid #FFFFFF;
border-radius: 6px;

/* Inside auto layout */
flex: none;
order: 2;
flex-grow: 0;

}

.field-error{
    color: red;

}

.spinner {
    position: relative;
    left: 14.46%;
    right: 16.62%;
    top: 10.27%;
    bottom: 18.1%;

    width: 40px;
    height: 40px;

    border: 4px solid rgba(0, 129, 38, 0.2);
    border-top: 4px solid #008126;
    border-radius: 50%;

    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#loadingContainer{
    position: relative;
    left: 30%;
}

.loading-text{
    position: relative;
    margin-top: 10px;
    left: 5%;
    font-size: 12px;
}

#date{
    color: black; 
    text-decoration: none;
}

#nonerecordmsg{
color: #999999;
}

.settings-box-red {
    display: block;
    align-items: center;
    gap: 20px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid red;
}

#onlynonerecordmsg{
color: red;
}

.nextbuttongrey{
/* Validate */

/* Auto layout */
display: flex;
justify-content: center;
align-items: center;
padding: 0px;
gap: 8px;

margin: 0 auto;
width: 120px;
height: 40px;

border: 1px solid #EEEEEE;
border-radius: 100px;

/* Inside auto layout */
flex: none;
order: 1;
flex-grow: 0;



font-weight: 700;
font-size: 14px;
line-height: 20px;

letter-spacing: 0.1px;

color: #EEEEEE;


margin-left: 345px;
margin-top: 10px;
}